Assignment Rule Count

Purpose

To retrieve the number of Assignment Rules in a module.

Endpoints

  • GET /settings/automation/assignment_rules/actions/count

Request Details

Request URL

{api-domain}/crm/{version}/settings/automation/assignment_rules/actions/count

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.assignment_rules.READ

Parameter

  • modulestring, mandatory

    Specify the module API name for which you want to retrieve the Assignment Rule count. Use Modules Metadata API to fetch module API names.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/automation/assignment_rules/actions/count?module=Leads"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Possible Errors

  • INVALID_MODULEHTTP 400

    The module specified in the query parameter is invalid
    Resolution: Refer to the Get Modules Metadata API to identify the correct module API name.

  • REQUIRED_PARAM_MISSINGHTTP 400

    A required parameter is missing
    Resolution: Specify the module parameter and its corresponding value. Use the Get Assignment Rules API to know the supported module API names.

  • NO_PERMISSIONHTTP 400

    No permission to count the available Assignment rules
    Resolution: You do not have permission to count the Assignment rules in the module. Contact your administrator to enable the required permissions.

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: You have specified an invalid HTTP method to access the API URL.
    Specify a valid request method. Refer to the Endpoint section.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have the required scope to retrieve the Assignment Rule count. Create a new token with valid scope. Refer to Scope section.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "count": 10
}